[Human Wizard Class Transfer]:
In order to become a Sorcerer or a Sorceress, you must successfully complete three quests. The Trial of the Scholar can only be undertaken by a player of level 35 or above. This quest begins by meeting Magister Mirien of Dion Castle Town. The Testimony of Trust can only be undertaken by a player of level 37 or above. It begins by meeting with High Priest Hollint of Oren Castle Town. The Test of Magus can be undertaken by a player of level 39 or above. This quest begins by meeting with Bard Rukal of Dion Castle Town.
Return
Close Window